Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisFormatterBuffer_ Struct Reference

Defines the ZydisFormatterBuffer struct. More...

`#include <FormatterBuffer.h>`

## Data Fields
ZyanBool | is_token_list
| ZYAN_TRUE, if the buffer contains a token stream or `ZYAN_FALSE, if it contains a simple string.
ZyanUSize | capacity
| The remaining capacity of the buffer.
ZyanString | string
| The ZyanString instance that refers to the literal value of the most recently added token.

## Detailed Description

Defines the ZydisFormatterBuffer struct.

All fields in this struct should be considered as "private". Any changes may lead to unexpected behavior.

## Field Documentation

## ◆ capacity

ZyanUSize capacity

The remaining capacity of the buffer.

## ◆ is_token_list

ZyanBool is_token_list

ZYAN_TRUE, if the buffer contains a token stream or `ZYAN_FALSE, if it contains a simple string.

## ◆ string

ZyanString string

The ZyanString instance that refers to the literal value of the most recently added token.

The documentation for this struct was generated from the following file:

- include/Zydis/FormatterBuffer.h